Role Update
Update a role's attributes. Requires MANAGE_ROLES. Updating a role that already grants ADMINISTRATOR, or granting ADMINISTRATOR to a role, additionally requires ADMINISTRATOR. Updates that would leave no active account with ADMINISTRATOR are rejected with 400.
Update a role's attributes. Requires MANAGE_ROLES. Updating a role that already grants ADMINISTRATOR, or granting ADMINISTRATOR to a role, additionally requires ADMINISTRATOR. Updates that would leave no active account with ADMINISTRATOR are rejected with 400.
storyden-session<token>role_id*stringRole ID
xidapplication/json- body
name?stringcolour?stringpermissions?array<>meta?Arbitrary metadata for the resource.
OK
application/json- response
id*IdentifierA unique identifier for this resource.
xidcreatedAt*stringThe time the resource was created.
date-timeupdatedAt*stringThe time the resource was updated.
date-timedeletedAt?stringThe time the resource was soft-deleted.
date-timemisc?Arbitrary extra data stored with the resource.
name*stringcolour*stringpermissions*array<>meta?Arbitrary metadata for the resource.
curl -X PATCH 'https://example.com/api/roles/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "colour": "string", "permissions": [ "CREATE_POST" ], "meta": {}}